coap_notls.c File Reference
`#include "coap3/coap_internal.h"`
Include dependency graph for coap_notls.c:

Go to the source code of this file.

## Data Structures

struct | coap_local_hash_t

## Typedefs

typedef struct coap_local_hash_t | coap_local_hash_t

## Functions

int | coap_dtls_is_supported (void)
| Check whether DTLS is available. More...
int | coap_tls_is_supported (void)
| Check whether TLS is available. More...
coap_tls_version_t * | coap_get_tls_library_version (void)
| Determine the type and version of the underlying (D)TLS library. More...
int | coap_dtls_context_set_pki (coap_context_t *ctx COAP_UNUSED, const coap_dtls_pki_t *setup_data COAP_UNUSED, const coap_dtls_role_t role COAP_UNUSED)
int | coap_dtls_context_set_pki_root_cas (coap_context_t *ctx COAP_UNUSED, const char *ca_file COAP_UNUSED, const char *ca_path COAP_UNUSED)
int | coap_dtls_context_set_cpsk (coap_context_t *ctx COAP_UNUSED, coap_dtls_cpsk_t *setup_data COAP_UNUSED)
int | coap_dtls_context_set_spsk (coap_context_t *ctx COAP_UNUSED, coap_dtls_spsk_t *setup_data COAP_UNUSED)
int | coap_dtls_context_check_keys_enabled (coap_context_t *ctx COAP_UNUSED)
void | coap_dtls_startup (void)
| Initialize the underlying (D)TLS Library layer. More...
void * | coap_dtls_get_tls (const coap_session_t *c_session COAP_UNUSED, coap_tls_library_t *tls_lib)
void | coap_dtls_shutdown (void)
| Close down the underlying (D)TLS Library layer. More...
void | coap_dtls_set_log_level (int level)
| Sets the (D)TLS logging level to the specified `level`. More...
int | coap_dtls_get_log_level (void)
| Get the current (D)TLS logging. More...
void * | coap_dtls_new_context (coap_context_t *coap_context COAP_UNUSED)
void | coap_dtls_free_context (void *handle COAP_UNUSED)
void * | coap_dtls_new_server_session (coap_session_t *session COAP_UNUSED)
void * | coap_dtls_new_client_session (coap_session_t *session COAP_UNUSED)
void | coap_dtls_free_session (coap_session_t *coap_session COAP_UNUSED)
void | coap_dtls_session_update_mtu (coap_session_t *session COAP_UNUSED)
int | coap_dtls_send (coap_session_t *session COAP_UNUSED, const uint8_t *data COAP_UNUSED, size_t data_len COAP_UNUSED)
int | coap_dtls_is_context_timeout (void)
| Check if timeout is handled per CoAP session or per CoAP context. More...
coap_tick_t | coap_dtls_get_context_timeout (void *dtls_context COAP_UNUSED)
coap_tick_t | coap_dtls_get_timeout (coap_session_t *session COAP_UNUSED, coap_tick_t now COAP_UNUSED)
void | coap_dtls_handle_timeout (coap_session_t *session COAP_UNUSED)
int | coap_dtls_receive (coap_session_t *session COAP_UNUSED, const uint8_t *data COAP_UNUSED, size_t data_len COAP_UNUSED)
int | coap_dtls_hello (coap_session_t *session COAP_UNUSED, const uint8_t *data COAP_UNUSED, size_t data_len COAP_UNUSED)
unsigned int | coap_dtls_get_overhead (coap_session_t *session COAP_UNUSED)
void * | coap_tls_new_client_session (coap_session_t *session COAP_UNUSED, int *connected COAP_UNUSED)
void * | coap_tls_new_server_session (coap_session_t *session COAP_UNUSED, int *connected COAP_UNUSED)
void | coap_tls_free_session (coap_session_t *coap_session COAP_UNUSED)
ssize_t | coap_tls_write (coap_session_t *session COAP_UNUSED, const uint8_t *data COAP_UNUSED, size_t data_len COAP_UNUSED)
ssize_t | coap_tls_read (coap_session_t *session COAP_UNUSED, uint8_t *data COAP_UNUSED, size_t data_len COAP_UNUSED)
coap_digest_ctx_t * | coap_digest_setup (void)
| Initialize a coap_digest. More...
void | coap_digest_free (coap_digest_ctx_t *digest_ctx)
| Free off coap_digest_ctx_t. More...
int | coap_digest_update (coap_digest_ctx_t *digest_ctx, const uint8_t *data, size_t data_len)
| Update the coap_digest information with the next chunk of data. More...
int | coap_digest_final (coap_digest_ctx_t *digest_ctx, coap_digest_t *digest_buffer)
| Finalize the coap_digest information into the provided `digest_buffer`. More...

## Variables

static int | dtls_log_level = 0

## Typedef Documentation

## coap_local_hash_t

typedef struct coap_local_hash_t coap_local_hash_t

## Function Documentation

## coap_dtls_context_check_keys_enabled()

int coap_dtls_context_check_keys_enabled | ( | coap_context_t *ctx | COAP_UNUSED | ) |

Definition at line 65 of file coap_notls.c.

Here is the caller graph for this function:

## coap_dtls_context_set_cpsk()

int coap_dtls_context_set_cpsk | ( | coap_context_t *ctx | COAP_UNUSED,
|  | coap_dtls_cpsk_t *setup_data | COAP_UNUSED
| ) |  |

Definition at line 51 of file coap_notls.c.

Here is the caller graph for this function:

## coap_dtls_context_set_pki()

int coap_dtls_context_set_pki | ( | coap_context_t *ctx | COAP_UNUSED,
|  | const coap_dtls_pki_t *setup_data | COAP_UNUSED,
|  | const coap_dtls_role_t role | COAP_UNUSED
| ) |  |

Definition at line 35 of file coap_notls.c.

Here is the caller graph for this function:

## coap_dtls_context_set_pki_root_cas()

int coap_dtls_context_set_pki_root_cas | ( | coap_context_t *ctx | COAP_UNUSED,
|  | const char *ca_file | COAP_UNUSED,
|  | const char *ca_path | COAP_UNUSED
| ) |  |

Definition at line 43 of file coap_notls.c.

Here is the caller graph for this function:

## coap_dtls_context_set_spsk()

int coap_dtls_context_set_spsk | ( | coap_context_t *ctx | COAP_UNUSED,
|  | coap_dtls_spsk_t *setup_data | COAP_UNUSED
| ) |  |

Definition at line 58 of file coap_notls.c.

Here is the caller graph for this function:

## coap_dtls_free_context()

void coap_dtls_free_context | ( | void *handle | COAP_UNUSED | ) |

Definition at line 102 of file coap_notls.c.

Here is the caller graph for this function:

## coap_dtls_free_session()

void coap_dtls_free_session | ( | coap_session_t *coap_session | COAP_UNUSED | ) |

Definition at line 113 of file coap_notls.c.

Here is the caller graph for this function:

## coap_dtls_get_context_timeout()

coap_tick_t coap_dtls_get_context_timeout | ( | void *dtls_context | COAP_UNUSED | ) |

Definition at line 131 of file coap_notls.c.

Here is the caller graph for this function:

## coap_dtls_get_overhead()

unsigned int coap_dtls_get_overhead | ( | coap_session_t *session | COAP_UNUSED | ) |

Definition at line 159 of file coap_notls.c.

Here is the caller graph for this function:

## coap_dtls_get_timeout()

coap_tick_t coap_dtls_get_timeout | ( | coap_session_t *session | COAP_UNUSED,
|  | coap_tick_t now | COAP_UNUSED
| ) |  |

Definition at line 136 of file coap_notls.c.

Here is the caller graph for this function:

## coap_dtls_get_tls()

void* coap_dtls_get_tls | ( | const coap_session_t *c_session | COAP_UNUSED,
|  | coap_tls_library_t * | tls_lib
| ) |  |

Definition at line 76 of file coap_notls.c.

Here is the caller graph for this function:

## coap_dtls_handle_timeout()

void coap_dtls_handle_timeout | ( | coap_session_t *session | COAP_UNUSED | ) |

Definition at line 140 of file coap_notls.c.

Here is the caller graph for this function:

## coap_dtls_hello()

int coap_dtls_hello | ( | coap_session_t *session | COAP_UNUSED,
|  | const uint8_t *data | COAP_UNUSED,
|  | size_t data_len | COAP_UNUSED
| ) |  |

Definition at line 152 of file coap_notls.c.

Here is the caller graph for this function:

## coap_dtls_new_client_session()

void* coap_dtls_new_client_session | ( | coap_session_t *session | COAP_UNUSED | ) |

Definition at line 109 of file coap_notls.c.

Here is the caller graph for this function:

## coap_dtls_new_context()

void* coap_dtls_new_context | ( | coap_context_t *coap_context | COAP_UNUSED | ) |

Definition at line 97 of file coap_notls.c.

Here is the caller graph for this function:

## coap_dtls_new_server_session()

void* coap_dtls_new_server_session | ( | coap_session_t *session | COAP_UNUSED | ) |

Definition at line 105 of file coap_notls.c.

Here is the caller graph for this function:

## coap_dtls_receive()

int coap_dtls_receive | ( | coap_session_t *session | COAP_UNUSED,
|  | const uint8_t *data | COAP_UNUSED,
|  | size_t data_len | COAP_UNUSED
| ) |  |

Definition at line 144 of file coap_notls.c.

Here is the caller graph for this function:

## coap_dtls_send()

int coap_dtls_send | ( | coap_session_t *session | COAP_UNUSED,
|  | const uint8_t *data | COAP_UNUSED,
|  | size_t data_len | COAP_UNUSED
| ) |  |

Definition at line 120 of file coap_notls.c.

Here is the caller graph for this function:

## coap_dtls_session_update_mtu()

void coap_dtls_session_update_mtu | ( | coap_session_t *session | COAP_UNUSED | ) |

Definition at line 116 of file coap_notls.c.

## coap_tls_free_session()

void coap_tls_free_session | ( | coap_session_t *coap_session | COAP_UNUSED | ) |

Definition at line 171 of file coap_notls.c.

Here is the caller graph for this function:

## coap_tls_new_client_session()

void* coap_tls_new_client_session | ( | coap_session_t *session | COAP_UNUSED,
|  | int *connected | COAP_UNUSED
| ) |  |

Definition at line 163 of file coap_notls.c.

Here is the caller graph for this function:

## coap_tls_new_server_session()

void* coap_tls_new_server_session | ( | coap_session_t *session | COAP_UNUSED,
|  | int *connected | COAP_UNUSED
| ) |  |

Definition at line 167 of file coap_notls.c.

Here is the caller graph for this function:

## coap_tls_read()

ssize_t coap_tls_read | ( | coap_session_t *session | COAP_UNUSED,
|  | uint8_t *data | COAP_UNUSED,
|  | size_t data_len | COAP_UNUSED
| ) |  |

Definition at line 181 of file coap_notls.c.

Here is the caller graph for this function:

## coap_tls_write()

ssize_t coap_tls_write | ( | coap_session_t *session | COAP_UNUSED,
|  | const uint8_t *data | COAP_UNUSED,
|  | size_t data_len | COAP_UNUSED
| ) |  |

Definition at line 174 of file coap_notls.c.

Here is the caller graph for this function:

## Variable Documentation

## dtls_log_level

int dtls_log_level = 0

static

Definition at line 70 of file coap_notls.c.